Bug 19744 - powerdown problem
Summary: powerdown problem
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-release   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-25 10:40 UTC by asharff
Modified: 2014-03-17 02:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-31 07:55:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description asharff 2000-10-25 10:40:22 UTC
I am running Redhat 7.0 on a Dell Optiplex Gx300

IN general redhat is running well but it appears unable to power off the  
computer on shutdown - either by halt -p or poweroff.

It shutsdown redhat and reports that the system is halted. It then comes 
back with power off system   but DOES NOT shut the power off. It just sits 
there.

I presume that this may be a kernel APM bug???

Comment 1 Alan Cox 2000-10-27 16:16:45 UTC
First guess is that its a Dell bios quirk. Is APM support enabled in the BIOS.
What does the
kernel /proc/apm file say ?



Comment 2 asharff 2000-10-30 09:00:54 UTC
I do not think that this a a DELL BIOS Quirk. 

I have tried redhat 6.2 and redhat 7.0 on the same DELL boxes. 

Redhat 6.2 will power off. Redhat 7.0 will not.

Comment 3 Bill Nottingham 2000-10-30 17:19:57 UTC
Which kernel (version, UP/SMP, etc.) are you running?

Comment 4 asharff 2000-10-31 07:11:10 UTC
I am running the standard UP kernel included in the 7.0 distribution.

Comment 5 asharff 2000-10-31 07:55:26 UTC
I tell a lie. I was using the enterprise kernel. This WILL NOT powerdown.
The UP kernel DOES powerdown.

I am quite happy using the UP kernel.

The problem obviously resides in the enterprise kernel

Comment 6 Bill Nottingham 2000-10-31 17:39:01 UTC
The enterprise kernel is SMP. SMP == no APM support.


Note You need to log in before you can comment on or make changes to this bug.